#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHEV-M setup plugins
Name:		rhevm-setup-plugins
Version:	3.6.5
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		%{name}-3.6.5-1.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	rhevm-setup-plugin-ovirt-engine >= 3.6.2.5

%description
Setup plugins for RHEV-M

%prep
%setup -q -n %{name}-3.6.5

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

%files
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/rhevm*
%{_datadir}/ovirt-engine/setup/plugins/*/rhevm-setup-plugins/

%changelog
* Fri Apr 22 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.5-1
- Resolves: BZ#1328391

* Fri Apr  8 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.4-1
- Resolves: BZ#1321796

* Mon Feb 22 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.3-1
- Resolves: BZ#1309599

* Tue Feb 16 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.2-1
- Resolves: BZ#1305484

* Tue Jan 12 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.1-2
- Resolves: BZ#1294783

* Sun Dec 27 2015 Yedidyah Bar David <didi@redhat.com> - 3.6.1-1
- Resolves: BZ#1286660

* Mon Oct  5 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-1
- Resolves: BZ#1201508
- Resolves: BZ#1240282

* Tue Aug 11 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.3.master
- Resolves: BZ#1201508
- Resolves: BZ#1175175
- Resolves: BZ#1181651
- Resolves: BZ#1204793

* Fri Jul 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.0.master
- 3.6.0
